1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = { \
18  if test -z '$(MAKELEVEL)'; then \
19    false; \
20  elif test -n '$(MAKE_HOST)'; then \
21    true; \
22  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23    true; \
24  else \
25    false; \
26  fi; \
27}
28am__make_running_with_option = \
29  case $${target_option-} in \
30      ?) ;; \
31      *) echo "am__make_running_with_option: internal error: invalid" \
32              "target option '$${target_option-}' specified" >&2; \
33         exit 1;; \
34  esac; \
35  has_opt=no; \
36  sane_makeflags=$$MAKEFLAGS; \
37  if $(am__is_gnu_make); then \
38    sane_makeflags=$$MFLAGS; \
39  else \
40    case $$MAKEFLAGS in \
41      *\\[\ \	]*) \
42        bs=\\; \
43        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
45    esac; \
46  fi; \
47  skip_next=no; \
48  strip_trailopt () \
49  { \
50    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51  }; \
52  for flg in $$sane_makeflags; do \
53    test $$skip_next = yes && { skip_next=no; continue; }; \
54    case $$flg in \
55      *=*|--*) continue;; \
56        -*I) strip_trailopt 'I'; skip_next=yes;; \
57      -*I?*) strip_trailopt 'I';; \
58        -*O) strip_trailopt 'O'; skip_next=yes;; \
59      -*O?*) strip_trailopt 'O';; \
60        -*l) strip_trailopt 'l'; skip_next=yes;; \
61      -*l?*) strip_trailopt 'l';; \
62      -[dEDm]) skip_next=yes;; \
63      -[JT]) skip_next=yes;; \
64    esac; \
65    case $$flg in \
66      *$$target_option*) has_opt=yes; break;; \
67    esac; \
68  done; \
69  test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/@PACKAGE@
73pkgincludedir = $(includedir)/@PACKAGE@
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88subdir = .
89ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92	$(ACLOCAL_M4)
93DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
94	$(am__configure_deps) $(am__DIST_COMMON)
95am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
96 configure.lineno config.status.lineno
97mkinstalldirs = $(install_sh) -d
98CONFIG_HEADER = $(top_builddir)/source/config.h
99CONFIG_CLEAN_FILES =
100CONFIG_CLEAN_VPATH_FILES =
101AM_V_P = $(am__v_P_@AM_V@)
102am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103am__v_P_0 = false
104am__v_P_1 = :
105AM_V_GEN = $(am__v_GEN_@AM_V@)
106am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107am__v_GEN_0 = @echo "  GEN     " $@;
108am__v_GEN_1 =
109AM_V_at = $(am__v_at_@AM_V@)
110am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111am__v_at_0 = @
112am__v_at_1 =
113SOURCES =
114DIST_SOURCES =
115RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
116	ctags-recursive dvi-recursive html-recursive info-recursive \
117	install-data-recursive install-dvi-recursive \
118	install-exec-recursive install-html-recursive \
119	install-info-recursive install-pdf-recursive \
120	install-ps-recursive install-recursive installcheck-recursive \
121	installdirs-recursive pdf-recursive ps-recursive \
122	tags-recursive uninstall-recursive
123am__can_run_installinfo = \
124  case $$AM_UPDATE_INFO_DIR in \
125    n|no|NO) false;; \
126    *) (install-info --version) >/dev/null 2>&1;; \
127  esac
128RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
129  distclean-recursive maintainer-clean-recursive
130am__recursive_targets = \
131  $(RECURSIVE_TARGETS) \
132  $(RECURSIVE_CLEAN_TARGETS) \
133  $(am__extra_recursive_targets)
134AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
135	cscope distdir distdir-am dist dist-all distcheck
136am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
137# Read a list of newline-separated strings from the standard input,
138# and print each of them once, without duplicates.  Input order is
139# *not* preserved.
140am__uniquify_input = $(AWK) '\
141  BEGIN { nonempty = 0; } \
142  { items[$$0] = 1; nonempty = 1; } \
143  END { if (nonempty) { for (i in items) print i; }; } \
144'
145# Make sure the list of sources is unique.  This is necessary because,
146# e.g., the same source file might be shared among _SOURCES variables
147# for different programs/libraries.
148am__define_uniq_tagged_files = \
149  list='$(am__tagged_files)'; \
150  unique=`for i in $$list; do \
151    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
152  done | $(am__uniquify_input)`
153ETAGS = etags
154CTAGS = ctags
155CSCOPE = cscope
156DIST_SUBDIRS = $(SUBDIRS)
157am__DIST_COMMON = $(srcdir)/Makefile.in COPYING README compile depcomp \
158	install-sh missing ylwrap
159DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
160distdir = $(PACKAGE)-$(VERSION)
161top_distdir = $(distdir)
162am__remove_distdir = \
163  if test -d "$(distdir)"; then \
164    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
165      && rm -rf "$(distdir)" \
166      || { sleep 5 && rm -rf "$(distdir)"; }; \
167  else :; fi
168am__post_remove_distdir = $(am__remove_distdir)
169am__relativize = \
170  dir0=`pwd`; \
171  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
172  sed_rest='s,^[^/]*/*,,'; \
173  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
174  sed_butlast='s,/*[^/]*$$,,'; \
175  while test -n "$$dir1"; do \
176    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
177    if test "$$first" != "."; then \
178      if test "$$first" = ".."; then \
179        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
180        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
181      else \
182        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
183        if test "$$first2" = "$$first"; then \
184          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
185        else \
186          dir2="../$$dir2"; \
187        fi; \
188        dir0="$$dir0"/"$$first"; \
189      fi; \
190    fi; \
191    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
192  done; \
193  reldir="$$dir2"
194DIST_ARCHIVES = $(distdir).tar.gz
195GZIP_ENV = --best
196DIST_TARGETS = dist-gzip
197distuninstallcheck_listfiles = find . -type f -print
198am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
199  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
200distcleancheck_listfiles = find . -type f -print
201ACLOCAL = @ACLOCAL@
202AMTAR = @AMTAR@
203AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
204AUTOCONF = @AUTOCONF@
205AUTOHEADER = @AUTOHEADER@
206AUTOMAKE = @AUTOMAKE@
207AWK = @AWK@
208CC = @CC@
209CCDEPMODE = @CCDEPMODE@
210CFLAGS = @CFLAGS@
211CPP = @CPP@
212CPPFLAGS = @CPPFLAGS@
213CXX = @CXX@
214CXXDEPMODE = @CXXDEPMODE@
215CXXFLAGS = @CXXFLAGS@
216CYGPATH_W = @CYGPATH_W@
217DEFS = @DEFS@
218DEPDIR = @DEPDIR@
219ECHO_C = @ECHO_C@
220ECHO_N = @ECHO_N@
221ECHO_T = @ECHO_T@
222EGREP = @EGREP@
223ERGO_DATA_PREFIX = @ERGO_DATA_PREFIX@
224EXEEXT = @EXEEXT@
225GREP = @GREP@
226INSTALL = @INSTALL@
227INSTALL_DATA = @INSTALL_DATA@
228INSTALL_PROGRAM = @INSTALL_PROGRAM@
229INSTALL_SCRIPT = @INSTALL_SCRIPT@
230INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
231LDFLAGS = @LDFLAGS@
232LEX = @LEX@
233LEXLIB = @LEXLIB@
234LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
235LIBOBJS = @LIBOBJS@
236LIBS = @LIBS@
237LTLIBOBJS = @LTLIBOBJS@
238MAKEINFO = @MAKEINFO@
239MKDIR_P = @MKDIR_P@
240OBJEXT = @OBJEXT@
241PACKAGE = @PACKAGE@
242PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
243PACKAGE_NAME = @PACKAGE_NAME@
244PACKAGE_STRING = @PACKAGE_STRING@
245PACKAGE_TARNAME = @PACKAGE_TARNAME@
246PACKAGE_URL = @PACKAGE_URL@
247PACKAGE_VERSION = @PACKAGE_VERSION@
248PATH_SEPARATOR = @PATH_SEPARATOR@
249RANLIB = @RANLIB@
250SET_MAKE = @SET_MAKE@
251SHELL = @SHELL@
252STRIP = @STRIP@
253VERSION = @VERSION@
254YACC = @YACC@
255YFLAGS = @YFLAGS@
256abs_builddir = @abs_builddir@
257abs_srcdir = @abs_srcdir@
258abs_top_builddir = @abs_top_builddir@
259abs_top_srcdir = @abs_top_srcdir@
260ac_ct_CC = @ac_ct_CC@
261ac_ct_CXX = @ac_ct_CXX@
262am__include = @am__include@
263am__leading_dot = @am__leading_dot@
264am__quote = @am__quote@
265am__tar = @am__tar@
266am__untar = @am__untar@
267bindir = @bindir@
268build_alias = @build_alias@
269builddir = @builddir@
270datadir = @datadir@
271datarootdir = @datarootdir@
272docdir = @docdir@
273dvidir = @dvidir@
274exec_prefix = @exec_prefix@
275host_alias = @host_alias@
276htmldir = @htmldir@
277includedir = @includedir@
278infodir = @infodir@
279install_sh = @install_sh@
280libdir = @libdir@
281libexecdir = @libexecdir@
282localedir = @localedir@
283localstatedir = @localstatedir@
284mandir = @mandir@
285mkdir_p = @mkdir_p@
286oldincludedir = @oldincludedir@
287pdfdir = @pdfdir@
288prefix = @prefix@
289program_transform_name = @program_transform_name@
290psdir = @psdir@
291runstatedir = @runstatedir@
292sbindir = @sbindir@
293sharedstatedir = @sharedstatedir@
294srcdir = @srcdir@
295sysconfdir = @sysconfdir@
296target_alias = @target_alias@
297top_build_prefix = @top_build_prefix@
298top_builddir = @top_builddir@
299top_srcdir = @top_srcdir@
300SUBDIRS = source basis params mol test documentation/source
301EXTRA_DIST = bootstrap.sh README config_examples.txt Doxyfile ergo_license_long.txt ergo_release_notes_3_8.txt
302all: all-recursive
303
304.SUFFIXES:
305am--refresh: Makefile
306	@:
307$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
308	@for dep in $?; do \
309	  case '$(am__configure_deps)' in \
310	    *$$dep*) \
311	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
312	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
313		&& exit 0; \
314	      exit 1;; \
315	  esac; \
316	done; \
317	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
318	$(am__cd) $(top_srcdir) && \
319	  $(AUTOMAKE) --foreign Makefile
320Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
321	@case '$?' in \
322	  *config.status*) \
323	    echo ' $(SHELL) ./config.status'; \
324	    $(SHELL) ./config.status;; \
325	  *) \
326	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
327	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
328	esac;
329
330$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
331	$(SHELL) ./config.status --recheck
332
333$(top_srcdir)/configure:  $(am__configure_deps)
334	$(am__cd) $(srcdir) && $(AUTOCONF)
335$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
336	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
337$(am__aclocal_m4_deps):
338
339# This directory's subdirectories are mostly independent; you can cd
340# into them and run 'make' without going through this Makefile.
341# To change the values of 'make' variables: instead of editing Makefiles,
342# (1) if the variable is set in 'config.status', edit 'config.status'
343#     (which will cause the Makefiles to be regenerated when you run 'make');
344# (2) otherwise, pass the desired values on the 'make' command line.
345$(am__recursive_targets):
346	@fail=; \
347	if $(am__make_keepgoing); then \
348	  failcom='fail=yes'; \
349	else \
350	  failcom='exit 1'; \
351	fi; \
352	dot_seen=no; \
353	target=`echo $@ | sed s/-recursive//`; \
354	case "$@" in \
355	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
356	  *) list='$(SUBDIRS)' ;; \
357	esac; \
358	for subdir in $$list; do \
359	  echo "Making $$target in $$subdir"; \
360	  if test "$$subdir" = "."; then \
361	    dot_seen=yes; \
362	    local_target="$$target-am"; \
363	  else \
364	    local_target="$$target"; \
365	  fi; \
366	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
367	  || eval $$failcom; \
368	done; \
369	if test "$$dot_seen" = "no"; then \
370	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
371	fi; test -z "$$fail"
372
373ID: $(am__tagged_files)
374	$(am__define_uniq_tagged_files); mkid -fID $$unique
375tags: tags-recursive
376TAGS: tags
377
378tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
379	set x; \
380	here=`pwd`; \
381	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
382	  include_option=--etags-include; \
383	  empty_fix=.; \
384	else \
385	  include_option=--include; \
386	  empty_fix=; \
387	fi; \
388	list='$(SUBDIRS)'; for subdir in $$list; do \
389	  if test "$$subdir" = .; then :; else \
390	    test ! -f $$subdir/TAGS || \
391	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
392	  fi; \
393	done; \
394	$(am__define_uniq_tagged_files); \
395	shift; \
396	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
397	  test -n "$$unique" || unique=$$empty_fix; \
398	  if test $$# -gt 0; then \
399	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
400	      "$$@" $$unique; \
401	  else \
402	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
403	      $$unique; \
404	  fi; \
405	fi
406ctags: ctags-recursive
407
408CTAGS: ctags
409ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
410	$(am__define_uniq_tagged_files); \
411	test -z "$(CTAGS_ARGS)$$unique" \
412	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
413	     $$unique
414
415GTAGS:
416	here=`$(am__cd) $(top_builddir) && pwd` \
417	  && $(am__cd) $(top_srcdir) \
418	  && gtags -i $(GTAGS_ARGS) "$$here"
419cscope: cscope.files
420	test ! -s cscope.files \
421	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
422clean-cscope:
423	-rm -f cscope.files
424cscope.files: clean-cscope cscopelist
425cscopelist: cscopelist-recursive
426
427cscopelist-am: $(am__tagged_files)
428	list='$(am__tagged_files)'; \
429	case "$(srcdir)" in \
430	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
431	  *) sdir=$(subdir)/$(srcdir) ;; \
432	esac; \
433	for i in $$list; do \
434	  if test -f "$$i"; then \
435	    echo "$(subdir)/$$i"; \
436	  else \
437	    echo "$$sdir/$$i"; \
438	  fi; \
439	done >> $(top_builddir)/cscope.files
440
441distclean-tags:
442	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
443	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
444
445distdir: $(BUILT_SOURCES)
446	$(MAKE) $(AM_MAKEFLAGS) distdir-am
447
448distdir-am: $(DISTFILES)
449	$(am__remove_distdir)
450	test -d "$(distdir)" || mkdir "$(distdir)"
451	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
452	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
453	list='$(DISTFILES)'; \
454	  dist_files=`for file in $$list; do echo $$file; done | \
455	  sed -e "s|^$$srcdirstrip/||;t" \
456	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
457	case $$dist_files in \
458	  */*) $(MKDIR_P) `echo "$$dist_files" | \
459			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
460			   sort -u` ;; \
461	esac; \
462	for file in $$dist_files; do \
463	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
464	  if test -d $$d/$$file; then \
465	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
466	    if test -d "$(distdir)/$$file"; then \
467	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
468	    fi; \
469	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
470	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
471	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
472	    fi; \
473	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
474	  else \
475	    test -f "$(distdir)/$$file" \
476	    || cp -p $$d/$$file "$(distdir)/$$file" \
477	    || exit 1; \
478	  fi; \
479	done
480	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
481	  if test "$$subdir" = .; then :; else \
482	    $(am__make_dryrun) \
483	      || test -d "$(distdir)/$$subdir" \
484	      || $(MKDIR_P) "$(distdir)/$$subdir" \
485	      || exit 1; \
486	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
487	    $(am__relativize); \
488	    new_distdir=$$reldir; \
489	    dir1=$$subdir; dir2="$(top_distdir)"; \
490	    $(am__relativize); \
491	    new_top_distdir=$$reldir; \
492	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
493	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
494	    ($(am__cd) $$subdir && \
495	      $(MAKE) $(AM_MAKEFLAGS) \
496	        top_distdir="$$new_top_distdir" \
497	        distdir="$$new_distdir" \
498		am__remove_distdir=: \
499		am__skip_length_check=: \
500		am__skip_mode_fix=: \
501	        distdir) \
502	      || exit 1; \
503	  fi; \
504	done
505	-test -n "$(am__skip_mode_fix)" \
506	|| find "$(distdir)" -type d ! -perm -755 \
507		-exec chmod u+rwx,go+rx {} \; -o \
508	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
509	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
510	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
511	|| chmod -R a+r "$(distdir)"
512dist-gzip: distdir
513	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
514	$(am__post_remove_distdir)
515
516dist-bzip2: distdir
517	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
518	$(am__post_remove_distdir)
519
520dist-lzip: distdir
521	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
522	$(am__post_remove_distdir)
523
524dist-xz: distdir
525	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
526	$(am__post_remove_distdir)
527
528dist-tarZ: distdir
529	@echo WARNING: "Support for distribution archives compressed with" \
530		       "legacy program 'compress' is deprecated." >&2
531	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
532	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
533	$(am__post_remove_distdir)
534
535dist-shar: distdir
536	@echo WARNING: "Support for shar distribution archives is" \
537	               "deprecated." >&2
538	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
539	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
540	$(am__post_remove_distdir)
541
542dist-zip: distdir
543	-rm -f $(distdir).zip
544	zip -rq $(distdir).zip $(distdir)
545	$(am__post_remove_distdir)
546
547dist dist-all:
548	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
549	$(am__post_remove_distdir)
550
551# This target untars the dist file and tries a VPATH configuration.  Then
552# it guarantees that the distribution is self-contained by making another
553# tarfile.
554distcheck: dist
555	case '$(DIST_ARCHIVES)' in \
556	*.tar.gz*) \
557	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
558	*.tar.bz2*) \
559	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
560	*.tar.lz*) \
561	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
562	*.tar.xz*) \
563	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
564	*.tar.Z*) \
565	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
566	*.shar.gz*) \
567	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
568	*.zip*) \
569	  unzip $(distdir).zip ;;\
570	esac
571	chmod -R a-w $(distdir)
572	chmod u+w $(distdir)
573	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
574	chmod a-w $(distdir)
575	test -d $(distdir)/_build || exit 0; \
576	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
577	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
578	  && am__cwd=`pwd` \
579	  && $(am__cd) $(distdir)/_build/sub \
580	  && ../../configure \
581	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
582	    $(DISTCHECK_CONFIGURE_FLAGS) \
583	    --srcdir=../.. --prefix="$$dc_install_base" \
584	  && $(MAKE) $(AM_MAKEFLAGS) \
585	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
586	  && $(MAKE) $(AM_MAKEFLAGS) check \
587	  && $(MAKE) $(AM_MAKEFLAGS) install \
588	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
589	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
590	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
591	        distuninstallcheck \
592	  && chmod -R a-w "$$dc_install_base" \
593	  && ({ \
594	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
595	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
596	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
597	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
598	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
599	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
600	  && rm -rf "$$dc_destdir" \
601	  && $(MAKE) $(AM_MAKEFLAGS) dist \
602	  && rm -rf $(DIST_ARCHIVES) \
603	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
604	  && cd "$$am__cwd" \
605	  || exit 1
606	$(am__post_remove_distdir)
607	@(echo "$(distdir) archives ready for distribution: "; \
608	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
609	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
610distuninstallcheck:
611	@test -n '$(distuninstallcheck_dir)' || { \
612	  echo 'ERROR: trying to run $@ with an empty' \
613	       '$$(distuninstallcheck_dir)' >&2; \
614	  exit 1; \
615	}; \
616	$(am__cd) '$(distuninstallcheck_dir)' || { \
617	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
618	  exit 1; \
619	}; \
620	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
621	   || { echo "ERROR: files left after uninstall:" ; \
622	        if test -n "$(DESTDIR)"; then \
623	          echo "  (check DESTDIR support)"; \
624	        fi ; \
625	        $(distuninstallcheck_listfiles) ; \
626	        exit 1; } >&2
627distcleancheck: distclean
628	@if test '$(srcdir)' = . ; then \
629	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
630	  exit 1 ; \
631	fi
632	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
633	  || { echo "ERROR: files left in build directory after distclean:" ; \
634	       $(distcleancheck_listfiles) ; \
635	       exit 1; } >&2
636check-am: all-am
637check: check-recursive
638all-am: Makefile
639installdirs: installdirs-recursive
640installdirs-am:
641install: install-recursive
642install-exec: install-exec-recursive
643install-data: install-data-recursive
644uninstall: uninstall-recursive
645
646install-am: all-am
647	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
648
649installcheck: installcheck-recursive
650install-strip:
651	if test -z '$(STRIP)'; then \
652	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
653	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
654	      install; \
655	else \
656	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
657	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
658	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
659	fi
660mostlyclean-generic:
661
662clean-generic:
663
664distclean-generic:
665	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
666	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
667
668maintainer-clean-generic:
669	@echo "This command is intended for maintainers to use"
670	@echo "it deletes files that may require special tools to rebuild."
671clean: clean-recursive
672
673clean-am: clean-generic mostlyclean-am
674
675distclean: distclean-recursive
676	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
677	-rm -f Makefile
678distclean-am: clean-am distclean-generic distclean-tags
679
680dvi: dvi-recursive
681
682dvi-am:
683
684html: html-recursive
685
686html-am:
687
688info: info-recursive
689
690info-am:
691
692install-data-am:
693
694install-dvi: install-dvi-recursive
695
696install-dvi-am:
697
698install-exec-am:
699
700install-html: install-html-recursive
701
702install-html-am:
703
704install-info: install-info-recursive
705
706install-info-am:
707
708install-man:
709
710install-pdf: install-pdf-recursive
711
712install-pdf-am:
713
714install-ps: install-ps-recursive
715
716install-ps-am:
717
718installcheck-am:
719
720maintainer-clean: maintainer-clean-recursive
721	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
722	-rm -rf $(top_srcdir)/autom4te.cache
723	-rm -f Makefile
724maintainer-clean-am: distclean-am maintainer-clean-generic
725
726mostlyclean: mostlyclean-recursive
727
728mostlyclean-am: mostlyclean-generic
729
730pdf: pdf-recursive
731
732pdf-am:
733
734ps: ps-recursive
735
736ps-am:
737
738uninstall-am:
739
740.MAKE: $(am__recursive_targets) install-am install-strip
741
742.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
743	am--refresh check check-am clean clean-cscope clean-generic \
744	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
745	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
746	distcheck distclean distclean-generic distclean-tags \
747	distcleancheck distdir distuninstallcheck dvi dvi-am html \
748	html-am info info-am install install-am install-data \
749	install-data-am install-dvi install-dvi-am install-exec \
750	install-exec-am install-html install-html-am install-info \
751	install-info-am install-man install-pdf install-pdf-am \
752	install-ps install-ps-am install-strip installcheck \
753	installcheck-am installdirs installdirs-am maintainer-clean \
754	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
755	pdf-am ps ps-am tags tags-am uninstall uninstall-am
756
757.PRECIOUS: Makefile
758
759
760# Tell versions [3.59,3.63) of GNU make to not export all variables.
761# Otherwise a system limit (for SysV at least) may be exceeded.
762.NOEXPORT:
763